> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# List Continue

POST https://api.dropboxapi.com/2/file_requests/list/continue
Content-Type: application/json

Once a cursor has been retrieved from [list:2](api:dropbox-api:POST/2/file_requests/list_v2), use this to paginate through all
 file requests. The cursor must come from a previous call to [list:2](api:dropbox-api:POST/2/file_requests/list_v2) or
 [list/continue](api:dropbox-api:POST/2/file_requests/list/continue).

**Required scope:** `file_requests.read`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/user-endpoints/file-requests/list-continue

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Headers

- `Dropbox-API-Select-User` (string, optional) — Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as `dbmid:...`. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Path-Root` (string, optional) — Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

### Body (application/json)

This endpoint expects an object.

- `cursor` (string, required) — The cursor returned by the previous API call specified in the endpoint description.

## Response

### 200

Successful response

- `cursor` (string, required) — Pass the cursor into [list/continue](api:dropbox-api:POST/2/file_requests/list/continue) to obtain additional file requests.
- `file_requests` (list of object, required) — The file requests owned by this user. Apps with the app folder permission will only see file requests in their app folder.
  - `created` (datetime, required) — When this file request was created.
  - `file_count` (long, required) — The number of files this file request has received.
  - `id` (string, required) — The ID of the file request.
  - `is_open` (boolean, required) — Whether or not the file request is open. If the file request is closed, it will not accept any more file submissions.
  - `title` (string, required) — The title of the file request.
  - `url` (string, required) — The URL of the file request.
  - `deadline` (object, optional, nullable) — The deadline for this file request. Only set if the request has a deadline.
    - `deadline` (datetime, required) — The deadline for this file request.
    - `allow_late_uploads` (object or object or object or object or object or object, optional, nullable) — If set, allow uploads after the deadline has passed. These uploads will be marked overdue.
      - file_requests_apiv2.GracePeriod.one_day
        - `.tag` (enum, required)
          - Allowed values: `one_day`
      - file_requests_apiv2.GracePeriod.two_days
        - `.tag` (enum, required)
          - Allowed values: `two_days`
      - file_requests_apiv2.GracePeriod.seven_days
        - `.tag` (enum, required)
          - Allowed values: `seven_days`
      - file_requests_apiv2.GracePeriod.thirty_days
        - `.tag` (enum, required)
          - Allowed values: `thirty_days`
      - file_requests_apiv2.GracePeriod.always
        - `.tag` (enum, required)
          - Allowed values: `always`
      - Other
        - `.tag` (string, optional)
  - `description` (string, optional, nullable) — A description of the file request.
  - `destination` (string, optional, nullable) — The path of the folder in the Dropbox where uploaded files will be sent. This can be `null` if the destination was removed. For apps with the app folder permission, this will be relative to the app folder.
  - `video_project_id` (string, optional, nullable) — If this request was created from video project, its id.
- `has_more` (boolean, required) — Is true if there are additional file requests that have not been returned yet. An additional call to :route:list/continue` can retrieve them.

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object, required) — There was an error retrieving the file requests.
  - file_requests_apiv2.ListFileRequestsContinueError.disabled_for_team
    - `.tag` (enum, required)
      - Allowed values: `disabled_for_team`
  - file_requests_apiv2.ListFileRequestsContinueError.invalid_cursor
    - `.tag` (enum, required)
      - Allowed values: `invalid_cursor`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "cursor": "ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu"
}
```

**Response**

```json
{
  "cursor": "ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu",
  "file_requests": [
    {
      "created": "2015-10-05T17:00:00Z",
      "file_count": 3,
      "id": "oaCAVmEyrqYnkZX9955Y",
      "is_open": true,
      "title": "Homework submission",
      "url": "https://www.dropbox.com/request/oaCAVmEyrqYnkZX9955Y",
      "deadline": {
        "deadline": "2020-10-12T17:00:00Z",
        "allow_late_uploads": {
          ".tag": "seven_days"
        }
      },
      "description": "Please submit your homework here.",
      "destination": "/File Requests/Homework"
    },
    {
      "created": "2015-11-02T04:00:00Z",
      "file_count": 105,
      "id": "BAJ7IrRGicQKGToykQdB",
      "is_open": true,
      "title": "Photo contest submission",
      "url": "https://www.dropbox.com/request/BAJ7IrRGjcQKGToykQdB",
      "deadline": {
        "deadline": "2020-10-12T17:00:00Z"
      },
      "destination": "/Photo contest entries"
    },
    {
      "created": "2015-12-15T13:02:00Z",
      "file_count": 37,
      "id": "rxwMPvK3ATTa0VxOJu5T",
      "is_open": true,
      "title": "Wedding photo submission",
      "url": "https://www.dropbox.com/request/rxwMPvK3ATTa0VxOJu5T",
      "deadline": null,
      "destination": "/Wedding photos"
    }
  ],
  "has_more": true
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/file_requests/list/continue"

payload = { "cursor": "ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/file_requests/list/continue';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"cursor":"ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/file_requests/list/continue"

	payload := strings.NewReader("{\n  \"cursor\": \"ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/file_requests/list/continue")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"cursor\": \"ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/file_requests/list/continue")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"cursor\": \"ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/file_requests/list/continue', [
  'body' => '{
  "cursor": "ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/file_requests/list/continue");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"cursor\": \"ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["cursor": "ZtkX9_EHj3x7PMkVuFIhwKYXEpwpLwyxp9vMKomUhllil9q7eWiAu"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/file_requests/list/continue")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```